edu.sc.seis.sod.subsetter.channel

## Class ClockSubsetter

- java.lang.Object
- - edu.sc.seis.sod.subsetter.channel.InstrumentationSubsetter
  - - edu.sc.seis.sod.subsetter.channel.ClockSubsetter

- All Implemented Interfaces:
    SodElement, ChannelSubsetter, Subsetter
  Direct Known Subclasses:
    ClockId, ClockManufacturer, ClockModel, ClockSerial, ClockType

      public abstract class ClockSubsetter
      extends InstrumentationSubsetter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClockSubsetter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `acceptType(edu.iris.Fissures.network.ChannelImpl channel, NetworkSource network, java.lang.String type)`
    `protected edu.iris.Fissures.IfNetwork.SeismicHardware` | `getSeismicHardware(edu.iris.Fissures.IfNetwork.Instrumentation inst)`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.channel.InstrumentationSubsetter

      `acceptId, acceptManufacturer, acceptModel, acceptSerialNumber, getChannelNotFoundMsg, getInstrumentationInvalidMsg, getSeismicHardware, handle, handle, handleChannelNotFound`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.sc.seis.sod.subsetter.channel.ChannelSubsetter

      `accept`

- - ### Constructor Detail

    - #### ClockSubsetter

          public ClockSubsetter()

  - ### Method Detail

    - #### getSeismicHardware

          protected edu.iris.Fissures.IfNetwork.SeismicHardware getSeismicHardware(edu.iris.Fissures.IfNetwork.Instrumentation inst)

      Specified by:
        `getSeismicHardware` in class `InstrumentationSubsetter`

    - #### acceptType

          protected boolean acceptType(edu.iris.Fissures.network.ChannelImpl channel,
                                       NetworkSource network,
                                       java.lang.String type)